> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate User

> Handles the activation of a user based on the provided user ID and activation code.



## OpenAPI

````yaml post /user/email/verification
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /user/email/verification:
    post:
      tags:
        - User
      summary: Activate User
      description: >-
        Handles the activation of a user based on the provided user ID and
        activation code.
      operationId: 1d60f530b0b9afd4aba90aa1e86d11d5
      requestBody:
        description: Data required for user activation
        required: true
        content:
          application/json:
            schema:
              required:
                - id
                - activationCode
              properties:
                id:
                  type: string
                activationCode:
                  type: string
              type: object
      responses:
        '200':
          description: User activation status
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  attached:
                    type: boolean
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object

````